public static interface ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder |
advanced() |
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
clearExpiredCookies(boolean clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
clearExpiredCookies(String clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
customHostHeader(String customHostHeader)
To use custom host header for producer.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
httpMethod(ResteasyEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
password(String password)
Sets the password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyClientClass(String proxyClientClass)
Sets the resteasy proxyClientClass.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
resteasyMethod(String resteasyMethod)
Sets the resteasy method to process the request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
servletName(String servletName)
Sets the servlet name.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
username(String username)
Sets the username.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder advanced()
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder chunked(boolean chunked)
chunked - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder chunked(String chunked)
chunked - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder disableStreamCache(boolean disableStreamCache)
disableStreamCache - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder disableStreamCache(String disableStreamCache)
disableStreamCache - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder resteasyMethod(String resteasyMethod)
resteasyMethod - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder servletName(String servletName)
servletName - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder transferException(boolean transferException)
transferException - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder transferException(String transferException)
transferException - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder bridgeEndpoint(boolean bridgeEndpoint)
bridgeEndpoint - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder bridgeEndpoint(String bridgeEndpoint)
bridgeEndpoint - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder clearExpiredCookies(boolean clearExpiredCookies)
clearExpiredCookies - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder clearExpiredCookies(String clearExpiredCookies)
clearExpiredCookies - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder connectionClose(boolean connectionClose)
connectionClose - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder connectionClose(String connectionClose)
connectionClose - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder copyHeaders(boolean copyHeaders)
copyHeaders - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder copyHeaders(String copyHeaders)
copyHeaders - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder customHostHeader(String customHostHeader)
customHostHeader - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder httpMethod(ResteasyEndpointBuilderFactory.HttpMethods httpMethod)
httpMethod - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder httpMethod(String httpMethod)
httpMethod - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder ignoreResponseBody(boolean ignoreResponseBody)
ignoreResponseBody - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder ignoreResponseBody(String ignoreResponseBody)
ignoreResponseBody - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder lazyStartProducer(boolean lazyStartProducer)
lazyStartProducer - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder lazyStartProducer(String lazyStartProducer)
lazyStartProducer - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder preserveHostHeader(boolean preserveHostHeader)
preserveHostHeader - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder preserveHostHeader(String preserveHostHeader)
preserveHostHeader - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
throwExceptionOnFailure - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
throwExceptionOnFailure - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyClientClass(String proxyClientClass)
proxyClientClass - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder password(String password)
password - the value to setdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder username(String username)
username - the value to setApache Camel